Databases
Showing results for 
Search instead for 
Do you mean 

PostgreSQL 8.3 and php on HP-UX 11.23

Occasional Visitor

PostgreSQL 8.3 and php on HP-UX 11.23

Hello !

 

I have a problem with php extension pgsql . I've installed postgres 8.3 on my HP-UX server with the bundle web1_A.13.00-001_HP-UX_B.11.23_IA_PA.depot.

Then I've installed apache 2.2 with HP-UX Apache-based Web Server v.3.17. 

 

Now when I try to connect to my postgreSQL database with php I have this error in postgres logs :

LOG:  incomplete startup packet...

 

I tried to compile pgsql.sl from php source, connection seems to work with small sql requests... but when I try to execute longer requests I have a "broken pipe" error in postgres logs... same php script works perfectly if I launch it with php command (without apache)...

 

Any idea from what's going wrong with pgsql on my HP-UX server ? 

 

 

 

 

 

6 REPLIES
Exalted Contributor Exalted Contributor

Re: PostgreSQL 8.3 and php on HP-UX 11.23

Shalom,

I would first try a depot based version of Postgres. Go to http://software.hp.com

Search for Internet Express.

Chose the Postgres, download and swinstall

This version is modified by HP before put into depot format and avoids many common problem with compile it yourself software.

SEP
Steven E Protter
Owner of ISN Corporation
http://isnamerica.com
http://hpuxconsulting.com
Sponsor: http://hpux.ws
Twitter: http://twitter.com/hpuxlinux
Founder http://newdatacloud.com
Occasional Visitor

Re: PostgreSQL 8.3 and php on HP-UX 11.23

Hi,

thanks,  but my bundle hpuxws22atw-b317-64.depot comes from http://software.hp.com (it's HPUX Internet Express you talk about in your post).

I installed it to upgrade postgres from 8.1, to 8.3.... but pgsql.sl doesn't work with this version on my HP-UX. So i tried to upgrade apache and php with HP-UX Apache-based Web Server v.3.17 (find on http://software.hp.com ) => php can't connect postgres anymore...  it's why i tried to compile postgres extension... but if someone know how to use postgres 8.3 with php on HP-UX 11.23 without any software installation I'm interested.

 

Thanks.

Exalted Contributor Exalted Contributor

Re: PostgreSQL 8.3 and php on HP-UX 11.23

Looks like you are already using depot based software.

My bad. Can you look at the mysql.log file when this connection fails. Please post.
Steven E Protter
Owner of ISN Corporation
http://isnamerica.com
http://hpuxconsulting.com
Sponsor: http://hpux.ws
Twitter: http://twitter.com/hpuxlinux
Founder http://newdatacloud.com
Occasional Visitor

Re: PostgreSQL 8.3 and php on HP-UX 11.23

Before pgsql.sl re-compile (using depot based software) :

I have this error in my pg log file : LOG:  incomplete startup packet

=> no connection between php and postgres

 

After pgsql.sl re-compe :

I have this error  : "LOG:  could not send data to client: Tube interrompu" (I think "Tube interrompu" is Broken pipe in english).

=> error with large request...

 

Error in php log :

PHP Warning:  pg_query() [<a href='function.pg-query'>function.pg-query</a>]: Query failed: could not receive data from server

 

 

Highlighted
Occasional Collector

Re: PostgreSQL 8.3 and php on HP-UX 11.23

Hi,

Were you able to resolve the "incomplete packet" issue.. I'm stuck on the same issue right now ! Please advice..
Occasional Visitor

Re: PostgreSQL 8.3 and php on HP-UX 11.23

Is the issue resolved? If yes, can you please tell me how? I am facing the same issue now.